This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 44601 - init-script succeeds always
init-script succeeds always
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: mc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 13:08 EDT by Enrico Scholz
Modified: 2013-04-02 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 20:32:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-14 13:08:19 EDT
Description of Problem:

/etc/init.d/mcserv returns always with an errorcode indicating success --
even on failed actions.

This can be cured by replacing the last line

| exit 0

with

| exit $?



How Reproducible:

everytime

Steps to Reproduce:
1. service mcserv stop
2. service mcserv status && echo 'This should not happen'  || echo 'OK'


Actual Results:

mcserv is stopped
This should not happen


Expected Results:

mcserv is stopped
OK


Additional Information:

$ rpm -q mcserv
mcserv-4.5.51
Comment 1 Pavel Roskin 2001-07-13 20:32:23 EDT
Fixed in MC CVS.

I think that RedHat should stop distributing mcserv - it's deprecated now.MC
supports standard protocols - FTP and SSH.
Existance of its own protocol is now longer justified (except for debugging),
not to mention that mcfs is very slow compared to FTP.
MC-4.5.55 will not install mcserv by default.

Note You need to log in before you can comment on or make changes to this bug.